Skip to main content
POST
/
v1
/
sandbox
/
users
/
{userId}
/
virtual-accounts
/
{virtualAccountId}
/
deposit
Simulate virtual account deposit
curl --request POST \
  --url https://api.cadanapay.com/v1/sandbox/users/{userId}/virtual-accounts/{virtualAccountId}/deposit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": {
    "amount": 10000,
    "currency": "USD"
  },
  "reference": "c06f3427-3bbe-4d70-9a54-28acda267e48",
  "description": "Payroll 10/10"
}
'
import requests

url = "https://api.cadanapay.com/v1/sandbox/users/{userId}/virtual-accounts/{virtualAccountId}/deposit"

payload = {
"amount": {
"amount": 10000,
"currency": "USD"
},
"reference": "c06f3427-3bbe-4d70-9a54-28acda267e48",
"description": "Payroll 10/10"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: {amount: 10000, currency: 'USD'},
reference: 'c06f3427-3bbe-4d70-9a54-28acda267e48',
description: 'Payroll 10/10'
})
};

fetch('https://api.cadanapay.com/v1/sandbox/users/{userId}/virtual-accounts/{virtualAccountId}/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

virtualAccountId
string<uuid>
required

The unique identifier for the virtual account

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Body

application/json

Simulate virtual account deposit payload

amount
object
required
reference
string<uuid>
required
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

description
string
required
Example:

"Payroll 10/10"

Response

Successful operation